You are here

Java 1.7

Submitted by cbonhorst on Mon, 08/10/2015 - 19:09

Has anyone successfully upgraded Java with Luminis 4.3.x to 1.7? We need to support TLS 1.2 and can make it work with 1.7 but not 1.6.

Luminis Version:

I've never tried upgrading Luminis' java by itself. I imagine all you need to do is change the JAVA_HOME variable in .cprc.

If Luminis doesn't like a newer java version, you might consider some sort of proxy or load balancer. The SSL cert is then installed on the proxy or load balancer, and Luminis is configured to 'speak' plain port 80 traffic to the proxy.

Did you have any luck with this? I edited the $JAVA_HOME in the cprc file but I get jsvc errors about not being able to find a VM.

Hi All,

Luminis 4.x is not supported on Java 7 and I doubt you'll be able to get some of the older components to run properly.